Bug 1024679 - IPA CA replica installation crashes on pkispawn
IPA CA replica installation crashes on pkispawn
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pki-core (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Ade Lee
Asha Akkiangady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 04:54 EDT by Kaleem
Modified: 2014-06-18 03:18 EDT (History)
6 users (show)

See Also:
Fixed In Version: pki-core-10.0.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:25:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files (490.00 KB, application/x-tar)
2013-10-30 04:54 EDT, Kaleem
no flags Details

  None (edit)
Description Kaleem 2013-10-30 04:54:37 EDT
Created attachment 817344 [details]
log files

Description of problem:
When RHEL-7.0 IPA server with CA enabled is being installed against a RHEL-6.5 IPA CA server, installation is failing.

[root@rhel70-replica1 ~]# ipa-replica-install -U --setup-ca --setup-dns --forwarder=10.65.201.89 -w xxxxxxxx -p xxxxxxxx replica-info-rhel70-replica1.testrelm.com.gpg 
...
...
Configuring certificate server (pki-tomcatd): Estimated time 33 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
ipa         : CRITICAL failed to configure ca instance Command '/usr/sbin/pkispawn -s CA -f /tmp/tmp2a98_l' returned non-zero exit status 1

Your system may be partly configured.
Run /usr/sbin/ipa-server-install --uninstall to clean up.

Configuration of CA failed
[root@rhel70-replica1 ~]#

Version-Release number of selected component (if applicable):
[root@rhel70-replica1 ~]# rpm -qa ipa-server pki-*|sort
ipa-server-3.3.2-5.el7.x86_64
pki-base-10.0.5-1.el7.noarch
pki-ca-10.0.5-1.el7.noarch
pki-server-10.0.5-1.el7.noarch
pki-symkey-10.0.5-1.el7.x86_64
pki-tools-10.0.5-1.el7.x86_64
[root@rhel70-replica1 ~]#

How reproducible:
Always

Steps to Reproduce:
1.Install IPA Server on RHEL-6.5
2.Install IPA Replica with CA (--setup-ca) on RHEL-70


Actual results:
Installation failed

Expected results:
Installation should be successful.

Additional info:
(1)Please find attachment which contains related debug and audit log files.
(2)This is reproducible in permissive mode as well.
Comment 2 Ade Lee 2013-10-30 10:26:39 EDT
We need to see debug logs and catalina.out from both the master and clone CA's to figure out what is going on.

Logs for clone are in /var/log/pki/pki-tomcat
Logs for master are probably in /var/log/pki-ca

What version is the master? - rpm -q pki-ca
What version is the clone?  - rpm -q pki-ca

Also need http access log on the master.
Comment 3 Kaleem 2013-10-30 11:17:49 EDT
machines details provided for debugging.
Comment 4 Ade Lee 2013-10-30 15:45:16 EDT
the issue was found to be a missing symlink needed for apache-commons-io.jar.  This will be a straightforward fix.  

When that link was added, the replication successfully completed.
Comment 5 Nathan Kinder 2013-10-30 17:15:06 EDT
Upstream ticket:
https://fedorahosted.org/pki/ticket/776
Comment 6 Ade Lee 2013-11-01 15:08:42 EDT
fixed in 10.0.6:

 ebc7bf67924751bd3c1a28d712204eb704d5b4f2
Comment 8 Michael Gregg 2014-01-23 21:04:38 EST
Verified against ipa-server-3.3.3-13.el7.x86_64

: [ 16:01:16 ] ::  EXECUTING: ipa-replica-install -U --setup-dns --forwarder=10.10.160.2 --setup-ca -w Secret123 -p Secret123 /opt/rhqa_ipa/replica-info-zippyvm5.testrelm.com.gpg
Check connection from replica to remote master 'zippyvm4.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

The following list of ports use UDP protocol and would need to be
checked manually:
   Kerberos KDC: UDP (88): SKIPPED
   Kerberos Kpasswd: UDP (464): SKIPPED

Connection from replica to master is OK.
Start listening on required ports for remote master check
Get credentials to log in to remote master
Check SSH connection to remote master
Execute check on remote master
Check connection from master to remote replica 'zippyvm5.testrelm.com':
   Directory Service: Unsecure port (389): OK
   Directory Service: Secure port (636): OK
   Kerberos KDC: TCP (88): OK
   Kerberos KDC: UDP (88): OK
   Kerberos Kpasswd: TCP (464): OK
   Kerberos Kpasswd: UDP (464): OK
   HTTP Server: Unsecure port (80): OK
   HTTP Server: Secure port (443): OK

Connection from master to replica is OK.

ipa         : ERROR    Could not resolve hostname zippyvm5.testrelm.com using DNS. Clients may not function properly. Please check your DNS setup. (Note that this check queries IPA DNS directly and ignores /etc/hosts.)
WARNING: conflicting time&date synchronization service 'chronyd' will
be disabled in favor of ntpd

Run connection check to master
Connection check OK
Configuring NTP daemon (ntpd)
  [1/4]: stopping ntpd
  [2/4]: writing configuration
  [3/4]: configuring ntpd to start on boot
  [4/4]: starting ntpd
Done configuring NTP daemon (ntpd).
Configuring directory server (dirsrv): Estimated time 1 minute
  [1/34]: creating directory server user
  [2/34]: creating directory server instance
  [3/34]: adding default schema
  [4/34]: enabling memberof plugin
  [5/34]: enabling winsync plugin
  [6/34]: configuring replication version plugin
  [7/34]: enabling IPA enrollment plugin
  [8/34]: enabling ldapi
  [9/34]: configuring uniqueness plugin
  [10/34]: configuring uuid plugin
  [11/34]: configuring modrdn plugin
  [12/34]: configuring DNS plugin
  [13/34]: enabling entryUSN plugin
  [14/34]: configuring lockout plugin
  [15/34]: creating indices
  [16/34]: enabling referential integrity plugin
  [17/34]: configuring ssl for ds instance
  [18/34]: configuring certmap.conf
  [19/34]: configure autobind for root
  [20/34]: configure new location for managed entries
  [21/34]: configure dirsrv ccache
  [22/34]: enable SASL mapping fallback
  [23/34]: restarting directory server
  [24/34]: setting up initial replication
Starting replication, please wait until this has completed.

Update in progress, 1 seconds elapsed
Update in progress, 2 seconds elapsed
Update in progress, 3 seconds elapsed
Update in progress, 4 seconds elapsed
Update in progress, 5 seconds elapsed
Update in progress, 6 seconds elapsed
Update in progress, 7 seconds elapsed
Update in progress, 8 seconds elapsed
Update in progress, 9 seconds elapsed
Update succeeded

  [25/34]: updating schema
  [26/34]: setting Auto Member configuration
  [27/34]: enabling S4U2Proxy delegation
  [28/34]: initializing group membership
  [29/34]: adding master entry
  [30/34]: configuring Posix uid/gid generation
  [31/34]: adding replication acis
  [32/34]: enabling compatibility plugin
  [33/34]: tuning directory server
  [34/34]: configuring directory to start on boot
Done configuring directory server (dirsrv).
Configuring certificate server (pki-tomcatd): Estimated time 3 minutes 30 seconds
  [1/19]: creating certificate server user
  [2/19]: configuring certificate server instance
  [3/19]: stopping certificate server instance to update CS.cfg
  [4/19]: disabling nonces
  [5/19]: set up CRL publishing
  [6/19]: starting certificate server instance
  [7/19]: creating RA agent certificate database
  [8/19]: importing CA chain to RA certificate database
  [9/19]: fixing RA database permissions
  [10/19]: setting up signing cert profile
  [11/19]: set certificate subject base
  [12/19]: enabling Subject Key Identifier
  [13/19]: enabling CRL and OCSP extensions for certificates
  [14/19]: setting audit signing renewal to 2 years
  [15/19]: configuring certificate server to start on boot
  [16/19]: configure certmonger for renewals
  [17/19]: configure clone certificate renewals
  [18/19]: configure Server-Cert certificate renewal
  [19/19]: Configure HTTP to proxy connections
Done configuring certificate server (pki-tomcatd).
Restarting the directory and certificate servers
Configuring Kerberos KDC (krb5kdc): Estimated time 30 seconds
  [1/9]: adding sasl mappings to the directory
  [2/9]: writing stash file from DS
  [3/9]: configuring KDC
  [4/9]: creating a keytab for the directory
  [5/9]: creating a keytab for the machine
  [6/9]: adding the password extension to the directory
  [7/9]: enable GSSAPI for replication
  [8/9]: starting the KDC
  [9/9]: configuring KDC to start on boot
Done configuring Kerberos KDC (krb5kdc).
Configuring kadmin
  [1/2]: starting kadmin 
  [2/2]: configuring kadmin to start on boot
Done configuring kadmin.
Configuring ipa_memcached
  [1/2]: starting ipa_memcached 
  [2/2]: configuring ipa_memcached to start on boot
Done configuring ipa_memcached.
Configuring the web interface (httpd): Estimated time 1 minute
  [1/13]: setting mod_nss port to 443
  [2/13]: setting mod_nss password file
  [3/13]: enabling mod_nss renegotiate
  [4/13]: adding URL rewriting rules
  [5/13]: configuring httpd
  [6/13]: setting up ssl
  [7/13]: publish CA cert
  [8/13]: creating a keytab for httpd
  [9/13]: clean up any existing httpd ccache
  [10/13]: configuring SELinux for httpd
  [11/13]: configure httpd ccache
  [12/13]: restarting httpd
  [13/13]: configuring httpd to start on boot
Done configuring the web interface (httpd).
Configuring ipa-otpd
  [1/2]: starting ipa-otpd 
  [2/2]: configuring ipa-otpd to start on boot
Done configuring ipa-otpd.
Applying LDAP updates
Restarting the directory server

MARK-LWD-LOOP -- 2014-01-22 16:05:46 --
Restarting the KDC
Using reverse zone 60.8.10.in-addr.arpa.
Configuring DNS (named)
  [1/9]: adding NS record to the zone
  [2/9]: setting up reverse zone
  [3/9]: setting up our own record
  [4/9]: setting up CA record
  [5/9]: setting up kerberos principal
  [6/9]: setting up named.conf
  [7/9]: restarting named
  [8/9]: configuring named to start on boot
  [9/9]: changing resolv.conf to point to ourselves
Done configuring DNS (named).

Global DNS configuration in LDAP server is empty
You can use 'dnsconfig-mod' command to set global DNS options that
would override settings in local named.conf files

Restarting the web server
:: [   PASS   ] :: Replica installation (Expected 0, got 0)
Comment 9 Ludek Smid 2014-06-13 05:25:11 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.